@import "../../assets/globalStyle/mixin.scss";
@import "../../assets/globalStyle/base.scss";

.side-bar {
    min-width: 250px;
    width: 250px;
    height: 100vh;
    display: flex;
    z-index: 10;
    position: absolute;
    right: 0;
    &_filter {
        ul {
            width: 32px;
            max-height: 100vh;
            height: 100vh;
            overflow-y: scroll;
            background-image: url("https://littlealchemy.com/img/library-background.png");
            list-style: none;
            margin: 0;
            padding: 0;

            li {
                @include flexCenter();
                cursor: pointer;
                p {
                    color: var(--text-color-1);
                    padding: 0;
                    margin: 8px 0;
                    font-size: 0.9rem;
                    cursor: pointer;
                   
                }
            }
            &::-webkit-scrollbar {
                width: 0;
            }
        }
    }
    &_list {
        background-image: url("https://littlealchemy.com/img/library-background.png");
        height: 100vh;
        width: 100%;
        display: block;
        margin-left: 2px;
        ul {
            max-height: 100vh;
            height: 100vh;
            overflow-y: scroll;
            &::-webkit-scrollbar {
                width: 0;
            }
            list-style: none;
            margin: 0;
            padding: 0;
            li {
                height: 60px;
                display: flex;
                align-items: center;
                div {
                    position: relative;
                    width: 53px;
                    height: 50px;
                    img {
                        width: 100%;
                        height: 100%;
                        margin: 0 2px;
                        cursor: pointer;
                        z-index: 11;
                    }
                    .overlay {
                        position: absolute;
                        display: block;
                        z-index: 12;
                        width: 100%;
                        height: 100%;
                        top: 0;
                        left: 0;
                        cursor: pointer;
                    }
                }
                p {
                    margin: 0;
                    padding: 0;
                    color: var(--text-color-1);
                    font-size: 1rem;
                    cursor: default;
                  
                }
            }
        }
    }
}
